Gecode::Int::NValues::RangeEvent Class Reference

Event for range-based overlap analysis. More...

`#include <nvalues.hh>`

## Public Member Functions

bool | operator< (RangeEvent re) const
| Order events: first by val, then by event type.

## Public Attributes

RangeEventType | ret
| The event type.
int | val
| The value for the range (first or last value, depending on type).
int | view
| Which view does this range belong to.

## Detailed Description

Event for range-based overlap analysis.

Definition at line 58 of file nvalues.hh.

## Member Function Documentation

## operator<()

bool Gecode::Int::NValues::RangeEvent::operator< | ( | RangeEvent | re | ) | const

inline

Order events: first by val, then by event type.

Definition at line 36 of file range-event.hpp.

## Member Data Documentation

## ret

RangeEventType Gecode::Int::NValues::RangeEvent::ret

The event type.

Definition at line 61 of file nvalues.hh.

## val

int Gecode::Int::NValues::RangeEvent::val

The value for the range (first or last value, depending on type).

Definition at line 63 of file nvalues.hh.

## view

int Gecode::Int::NValues::RangeEvent::view

Which view does this range belong to.

Definition at line 65 of file nvalues.hh.

The documentation for this class was generated from the following files:

- gecode/int/nvalues.hh
- gecode/int/nvalues/range-event.hpp